﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPublishing.Entities
{
    public class Customer
    {
        public int Id { get; private set; }

        [DisplayName("Телефон")]
        public string PhoneNumber { get; private set; } = string.Empty;

        [DisplayName("Почта")]
        public string Email { get; private set; } = string.Empty;

        [Browsable(false)]
        public int PublisherId { get; private set; }

        [DisplayName("Имя")]
        public string FirstName { get; private set; } = string.Empty;

        [DisplayName("Фамилия")]
        public string LastName { get; private set; } = string.Empty;

        public string FullName => $"{FirstName} {LastName}";

        public static Customer CreateCustomer(int id, string phoneNumber, string email, int publisherId, string firstName, string lastName)
        {
            return new Customer
            {
                Id = id,
                PhoneNumber = phoneNumber,
                Email = email,
                PublisherId = publisherId,
                FirstName = firstName,
                LastName = lastName
            };
        }
    }
}
